| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csSndSysSoundFormat Struct Reference
[Sound system]

The sound format. More...

`#include <isndsys/ss_structs.h>`

List of all members.

## Public Attributes
uint8 | Bits
| number of bits per sample (8 or 16)
uint8 | Channels
| number of channels (1 or 2)
uint8 | Flags
| Flags further describing the format of the sound data.
int | Freq
| Frequency of the sound (hz).

## Detailed Description

The sound format.

This keeps information about the frequency, bits and channels of a sound data object.

Definition at line 40 of file ss_structs.h.

## Member Data Documentation

uint8 csSndSysSoundFormat::Bits

number of bits per sample (8 or 16)

Definition at line 45 of file ss_structs.h.

uint8 csSndSysSoundFormat::Channels

number of channels (1 or 2)

Definition at line 47 of file ss_structs.h.

uint8 csSndSysSoundFormat::Flags

Flags further describing the format of the sound data.

Definition at line 52 of file ss_structs.h.

int csSndSysSoundFormat::Freq

Frequency of the sound (hz).

Definition at line 43 of file ss_structs.h.

The documentation for this struct was generated from the following file:

- isndsys/ss_structs.h